%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                Function giving the row number of a node                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% getRowNumber.m returns the row number of an arbitrary computational point
% in the domaindefined by N and M in the main BFC_globaldomain_spring.m
function rownumber = getRowNumber(a, N_wide, M_wide, N_total)
rownumber = zeros(length(a),1);
    for j = 1:length(a)
        i = a(j);
        if i <= N_wide*M_wide
            rownumber(j) = floor((N_wide+i-1)/N_wide);
        elseif i > N_wide*M_wide
            rownumber(j) = M_wide + floor((i-N_wide*M_wide-1)/N_total)+1;
        end %if
    end %for
end %function
            