%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%      Function transforming a globally indexed vector into a matrix      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [matrix] = global2matrix(glob, N, M)
    for j = 1:M % "down"                % the rest of the points are zero
        for i = 1:N % "left"
            matrix(j,i) = glob((j-1)*N + i);
        end % for
    end % for
end %function