%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%        Function checkin if a node is in the wide section or not         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function res = isWide(a, N_narrow, N_wide, M_wide) 
    res = ones(1,length(a))*false;
    for j = 1:length(a)
        i = a(j);
        rownumber = getRowNumber(i, N_wide, M_wide, N_narrow + N_wide);
        if rownumber <= M_wide || i - M_wide*N_wide - ...
                (rownumber-M_wide-1)*(N_narrow + N_wide) > N_narrow
            res(j) = true;
        end %if
    end %for
end %function