%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%               Function giving the column number of a node               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function colnumber = getCol(a, N)
colnumber = zeros(length(a),1);
    for j = 1:length(a)
        i = a(j);
        colnumber(j) =  mod(i-1, N)+1;
    end %for
    
    % Adjusting since the x matrix also contains boundary points
    colnumber = colnumber +1;
end %function