%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                Function giving the row number of a node                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function rownumber = getRow(a, N)
rownumber = zeros(length(a),1);
    for j = 1:length(a)
        i = a(j);
        rownumber(j) = floor((N+i-1)/N);
    end %for
    % Adjusting since the x matrix also contains boundary points
    rownumber = rownumber + 1;  
end %function
            