%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          Function giving the row number of a node above itself          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% getRowOver.m returns the index of the point directly above itself.
function index = getRowOver(i, N_wide, M_wide, N_total)
    index = zeros(1, length(i));
    for j = 1:length(i)
        if i(j) <= N_wide*(M_wide-1)
            index(j) = i(j)+N_wide;
        elseif i(j) > N_wide*(M_wide-1)
            index(j) = i(j)+N_total;
        end %if
    end %for
end %function