%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%      Function transforming a matrix into a globally indexed vector      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function res = matrix2global(vec, N, M)
    for j = 1:M
            vstart = 1;
            rowstartpoint = N*M + (j-M-1)*N + 1;
            rowendpoint = N*M + (j-M)*N;
        res(rowstartpoint:rowendpoint) = vec(j,vstart:N);
    end %for
end %function